%define version   0.2.0

%define scim_version   1.4.1
%define uim_version    1.1.0

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:      scim-uim
Summary:   A wrapper for uim
Version:   %{version}
Release:   %mkrel 3
Group:     System/Internationalization
License:   GPL
URL:       http://www.scim-im.org/
Source0:   %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        %{libname} = %{version}-%{release}
Requires:        scim >= %{scim_version}
Requires:        uim >= %{uim_version}
BuildRequires:   scim-devel >= %{scim_version}
BuildRequires:   uim-devel >= %{uim_version}
BuildRequires:   automake
BuildRequires:   m17n-lib-devel

%description
A wrapper for uim.


%package -n %{libname}
Summary:    Scim-uim library
Group:      System/Internationalization
Provides:   %{libname_orig} = %{version}-%{release}

%description -n %{libname}
Scim-uim library.


%prep
%setup -q

%build
./bootstrap
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%scim_plugins_dir/*/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%scim_plugins_dir/IMEngine/*.so


%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdv2008.1
+ Revision: 179497
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Funda Wang <fundawang@mandriva.org> 0.2.0-2mdv2008.0
+ Revision: 92761
- use scim macro
- requires uim rather than libuim
- Rebuild for autotools

* Sat Apr 28 2007 Funda Wang <fundawang@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 19006
- New upstream version 0.2.0


* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.1.4-3mdv2007.0
+ Revision: 87006
- Import scim-uim

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.4-3mdv2007.1
- rebuild for new uim
- adjust file list
- adjust description

* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 0.1.4-2mdk
- rebuild for sparc

* Sat Aug 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.4-1mdk
- new release 0.1.4 from UTUMI Hirosi <utuhiro78@yahoo.co.jp>

* Sun Aug 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.3-2.cvs20050104.7mdk
- fix buildrequires

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-2.cvs20050104.6mdk
- Rebuild for new scim ( 1.4.0 )

* Tue Jun 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-2.cvs20050104.5mdk
- Rebuild for new scim ( 1.3.1 )

* Tue Jun 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-2.cvs20050104.4mdk
- Rebuild for scim 1.3.0

* Sat Jun 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-2.cvs20050104.3mdk
- Rebuild for new glibc

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-2.cvs20050104.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-2.cvs20050104.1mdk
- rebuild with scim-1.1.3
- remove unneeded files
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-2.cvs20041229.2mdk
- latest snapshot
- rebuild with scim-1.0.2

* Tue Aug 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-1mdk
- new release
- bump scim buildrequires

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release

* Wed Jul 07 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-3.cvs20040705.1mdk
- cvs 20040705

* Tue Jun 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Mon Jun 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- initial spec for mdk

